import './style.css';
import React from 'react';
// eslint-disable-next-line no-unused-vars
import {BsExclamationCircleFill} from 'react-icons';
import {BsFillPersonFill} from 'react-icons/bs';

const Sidebar = () => {
	function Logout() {
		// eslint-disable-next-line no-undef
		localStorage.removeItem('token');
	}
	return (
		<nav id="sidebar">
			<div className="logo">
				<svg
					width="277"
					height="53"
					viewBox="0 0 277 53"
					fill="none"
					xmlns="http://www.w3.org/2000/svg"
				>
					<circle cx="14" cy="18" r="6" fill="white" />
					<circle cx="28" cy="32" r="6" fill="white" />
					<circle cx="28" cy="18" r="6" fill="white" />
					<circle cx="14" cy="32" r="6" fill="white" />
					<path
						d="M50.67 34.75V17.71H56.718C58.558 17.71 60.094 18.094 61.326 18.862C62.558 19.614 63.478 20.638 64.086 21.934C64.71 23.214 65.022 24.638 65.022 26.206C65.022 27.934 64.678 29.438 63.99 30.718C63.318 31.998 62.358 32.99 61.11 33.694C59.862 34.398 58.398 34.75 56.718 34.75H50.67ZM62.286 26.206C62.286 25.006 62.062 23.95 61.614 23.038C61.182 22.11 60.55 21.39 59.718 20.878C58.902 20.35 57.902 20.086 56.718 20.086H53.358V32.374H56.718C57.918 32.374 58.926 32.102 59.742 31.558C60.574 31.014 61.206 30.278 61.638 29.35C62.07 28.422 62.286 27.374 62.286 26.206ZM66.4611 31.078C66.4611 30.278 66.6851 29.582 67.1331 28.99C67.5971 28.382 68.2291 27.918 69.0291 27.598C69.8291 27.262 70.7571 27.094 71.8131 27.094C72.3731 27.094 72.9411 27.134 73.5171 27.214C74.1091 27.294 74.6291 27.422 75.0771 27.598V26.806C75.0771 25.926 74.8131 25.238 74.2851 24.742C73.7571 24.246 72.9971 23.998 72.0051 23.998C71.3011 23.998 70.6371 24.126 70.0131 24.382C69.3891 24.622 68.7251 24.966 68.0211 25.414L67.1331 23.638C67.9651 23.078 68.7971 22.662 69.6291 22.39C70.4771 22.118 71.3651 21.982 72.2931 21.982C73.9731 21.982 75.2931 22.43 76.2531 23.326C77.2291 24.206 77.7171 25.462 77.7171 27.094V31.774C77.7171 32.078 77.7651 32.294 77.8611 32.422C77.9731 32.55 78.1571 32.622 78.4131 32.638V34.75C78.1731 34.798 77.9571 34.83 77.7651 34.846C77.5731 34.862 77.4131 34.87 77.2851 34.87C76.7251 34.87 76.3011 34.734 76.0131 34.462C75.7251 34.19 75.5571 33.87 75.5091 33.502L75.4371 32.782C74.8931 33.486 74.1971 34.03 73.3491 34.414C72.5011 34.798 71.6451 34.99 70.7811 34.99C69.9491 34.99 69.2051 34.822 68.5491 34.486C67.8931 34.134 67.3811 33.662 67.0131 33.07C66.6451 32.478 66.4611 31.814 66.4611 31.078ZM74.4531 31.846C74.6451 31.638 74.7971 31.43 74.9091 31.222C75.0211 31.014 75.0771 30.83 75.0771 30.67V29.23C74.6291 29.054 74.1571 28.926 73.6611 28.846C73.1651 28.75 72.6771 28.702 72.1971 28.702C71.2371 28.702 70.4531 28.894 69.8451 29.278C69.2531 29.662 68.9571 30.19 68.9571 30.862C68.9571 31.23 69.0531 31.582 69.2451 31.918C69.4531 32.254 69.7411 32.526 70.1091 32.734C70.4931 32.942 70.9651 33.046 71.5251 33.046C72.1011 33.046 72.6531 32.934 73.1811 32.71C73.7091 32.486 74.1331 32.198 74.4531 31.846ZM80.9199 34.75V22.198H83.5599V34.75H80.9199ZM80.9199 20.134V17.23H83.5599V20.134H80.9199ZM86.7564 17.23H89.3964V31.126C89.3964 31.766 89.4924 32.174 89.6844 32.35C89.8764 32.526 90.1164 32.614 90.4044 32.614C90.7244 32.614 91.0204 32.582 91.2924 32.518C91.5804 32.454 91.8284 32.374 92.0364 32.278L92.4204 34.366C92.0364 34.526 91.5804 34.662 91.0524 34.774C90.5244 34.886 90.0524 34.942 89.6364 34.942C88.7404 34.942 88.0364 34.694 87.5244 34.198C87.0124 33.686 86.7564 32.982 86.7564 32.086V17.23ZM93.8441 37.702C94.0841 37.734 94.3161 37.766 94.5401 37.798C94.7801 37.846 94.9721 37.87 95.1161 37.87C95.3881 37.87 95.6201 37.782 95.8121 37.606C96.0201 37.446 96.2281 37.142 96.4361 36.694C96.6441 36.246 96.9001 35.598 97.2041 34.75L92.0441 22.198H94.8041L98.6441 32.062L102.052 22.198H104.596L98.9081 37.654C98.7321 38.118 98.4761 38.542 98.1401 38.926C97.8041 39.326 97.3881 39.638 96.8921 39.862C96.3961 40.086 95.8121 40.198 95.1401 40.198C94.9481 40.198 94.7481 40.182 94.5401 40.15C94.3321 40.118 94.1001 40.07 93.8441 40.006V37.702ZM122.25 21.718C122.09 21.542 121.858 21.358 121.554 21.166C121.25 20.958 120.89 20.766 120.474 20.59C120.058 20.414 119.61 20.27 119.13 20.158C118.65 20.046 118.154 19.99 117.642 19.99C116.522 19.99 115.69 20.198 115.146 20.614C114.602 21.03 114.33 21.606 114.33 22.342C114.33 22.886 114.482 23.318 114.786 23.638C115.09 23.942 115.554 24.198 116.178 24.406C116.802 24.614 117.586 24.838 118.53 25.078C119.682 25.35 120.682 25.678 121.53 26.062C122.378 26.43 123.026 26.926 123.474 27.55C123.922 28.174 124.146 28.998 124.146 30.022C124.146 30.886 123.986 31.63 123.666 32.254C123.346 32.878 122.898 33.39 122.322 33.79C121.746 34.174 121.082 34.462 120.33 34.654C119.578 34.83 118.77 34.918 117.906 34.918C117.058 34.918 116.21 34.83 115.362 34.654C114.53 34.478 113.73 34.222 112.962 33.886C112.21 33.534 111.514 33.11 110.874 32.614L112.098 30.31C112.306 30.518 112.602 30.75 112.986 31.006C113.386 31.246 113.842 31.478 114.354 31.702C114.882 31.926 115.45 32.118 116.058 32.278C116.682 32.422 117.314 32.494 117.954 32.494C119.026 32.494 119.842 32.31 120.402 31.942C120.978 31.558 121.266 31.014 121.266 30.31C121.266 29.734 121.082 29.278 120.714 28.942C120.346 28.59 119.81 28.294 119.106 28.054C118.402 27.814 117.562 27.574 116.586 27.334C115.466 27.03 114.53 26.702 113.778 26.35C113.026 25.982 112.458 25.518 112.074 24.958C111.706 24.382 111.522 23.654 111.522 22.774C111.522 21.654 111.794 20.71 112.338 19.942C112.882 19.158 113.618 18.574 114.546 18.19C115.49 17.79 116.546 17.59 117.714 17.59C118.482 17.59 119.21 17.678 119.898 17.854C120.586 18.014 121.226 18.238 121.818 18.526C122.426 18.814 122.978 19.142 123.474 19.51L122.25 21.718ZM132.194 34.99C131.218 34.99 130.33 34.822 129.53 34.486C128.746 34.134 128.066 33.654 127.49 33.046C126.914 32.438 126.466 31.742 126.146 30.958C125.842 30.174 125.69 29.342 125.69 28.462C125.69 27.278 125.954 26.198 126.482 25.222C127.026 24.246 127.778 23.462 128.738 22.87C129.714 22.278 130.866 21.982 132.194 21.982C133.474 21.982 134.586 22.27 135.53 22.846C136.49 23.406 137.194 24.158 137.642 25.102L135.074 25.918C134.786 25.39 134.378 24.982 133.85 24.694C133.338 24.39 132.77 24.238 132.146 24.238C131.442 24.238 130.802 24.422 130.226 24.79C129.666 25.142 129.218 25.638 128.882 26.278C128.562 26.902 128.402 27.63 128.402 28.462C128.402 29.262 128.57 29.99 128.906 30.646C129.242 31.286 129.69 31.798 130.25 32.182C130.826 32.55 131.466 32.734 132.17 32.734C132.602 32.734 133.018 32.662 133.418 32.518C133.834 32.358 134.194 32.15 134.498 31.894C134.802 31.622 135.018 31.326 135.146 31.006L137.738 31.774C137.466 32.398 137.058 32.95 136.514 33.43C135.986 33.91 135.354 34.294 134.618 34.582C133.898 34.854 133.09 34.99 132.194 34.99ZM151.168 34.75H148.528V27.718C148.528 26.582 148.32 25.734 147.904 25.174C147.488 24.614 146.904 24.334 146.152 24.334C145.688 24.334 145.208 24.462 144.712 24.718C144.216 24.974 143.776 25.326 143.392 25.774C143.008 26.206 142.728 26.71 142.552 27.286V34.75H139.912V17.23H142.552V24.718C143.032 23.87 143.688 23.206 144.52 22.726C145.352 22.23 146.248 21.982 147.208 21.982C147.992 21.982 148.64 22.118 149.152 22.39C149.664 22.662 150.064 23.038 150.352 23.518C150.656 23.982 150.864 24.526 150.976 25.15C151.104 25.758 151.168 26.406 151.168 27.094V34.75ZM159.92 34.99C158.944 34.99 158.056 34.822 157.256 34.486C156.472 34.134 155.792 33.662 155.216 33.07C154.64 32.462 154.192 31.774 153.872 31.006C153.568 30.222 153.416 29.39 153.416 28.51C153.416 27.326 153.688 26.246 154.232 25.27C154.776 24.278 155.536 23.486 156.512 22.894C157.488 22.286 158.632 21.982 159.944 21.982C161.256 21.982 162.384 22.286 163.328 22.894C164.288 23.486 165.032 24.27 165.56 25.246C166.088 26.222 166.352 27.27 166.352 28.39C166.352 28.582 166.344 28.766 166.328 28.942C166.312 29.102 166.296 29.238 166.28 29.35H156.224C156.272 30.086 156.472 30.734 156.824 31.294C157.192 31.838 157.656 32.27 158.216 32.59C158.776 32.894 159.376 33.046 160.016 33.046C160.72 33.046 161.384 32.87 162.008 32.518C162.648 32.166 163.08 31.702 163.304 31.126L165.56 31.774C165.288 32.382 164.872 32.934 164.312 33.43C163.768 33.91 163.12 34.294 162.368 34.582C161.616 34.854 160.8 34.99 159.92 34.99ZM156.152 27.598H163.736C163.688 26.878 163.48 26.246 163.112 25.702C162.76 25.142 162.304 24.71 161.744 24.406C161.2 24.086 160.592 23.926 159.92 23.926C159.264 23.926 158.656 24.086 158.096 24.406C157.552 24.71 157.104 25.142 156.752 25.702C156.4 26.246 156.2 26.878 156.152 27.598ZM167.714 28.486C167.714 27.286 167.954 26.198 168.434 25.222C168.93 24.23 169.602 23.446 170.45 22.87C171.298 22.278 172.274 21.982 173.378 21.982C174.338 21.982 175.202 22.23 175.97 22.726C176.754 23.222 177.362 23.838 177.794 24.574V17.23H180.434V31.774C180.434 32.078 180.49 32.294 180.602 32.422C180.714 32.55 180.898 32.622 181.154 32.638V34.75C180.658 34.83 180.274 34.87 180.002 34.87C179.506 34.87 179.082 34.726 178.73 34.438C178.394 34.15 178.218 33.806 178.202 33.406L178.178 32.47C177.698 33.27 177.05 33.894 176.234 34.342C175.418 34.774 174.57 34.99 173.69 34.99C172.826 34.99 172.026 34.822 171.29 34.486C170.57 34.15 169.938 33.678 169.394 33.07C168.866 32.462 168.45 31.766 168.146 30.982C167.858 30.198 167.714 29.366 167.714 28.486ZM177.794 30.238V26.95C177.618 26.438 177.33 25.982 176.93 25.582C176.546 25.166 176.106 24.838 175.61 24.598C175.13 24.358 174.65 24.238 174.17 24.238C173.61 24.238 173.098 24.358 172.634 24.598C172.186 24.838 171.794 25.158 171.458 25.558C171.138 25.958 170.89 26.414 170.714 26.926C170.538 27.438 170.45 27.974 170.45 28.534C170.45 29.11 170.546 29.654 170.738 30.166C170.93 30.662 171.202 31.11 171.554 31.51C171.922 31.894 172.338 32.198 172.802 32.422C173.282 32.63 173.802 32.734 174.362 32.734C174.714 32.734 175.066 32.67 175.418 32.542C175.786 32.414 176.13 32.238 176.45 32.014C176.786 31.79 177.066 31.526 177.29 31.222C177.53 30.918 177.698 30.59 177.794 30.238ZM183.667 29.878V22.198H186.307V29.35C186.307 30.47 186.507 31.318 186.907 31.894C187.323 32.454 187.923 32.734 188.707 32.734C189.203 32.734 189.683 32.63 190.147 32.422C190.627 32.214 191.059 31.91 191.443 31.51C191.843 31.094 192.163 30.598 192.403 30.022V22.198H195.043V31.774C195.043 32.078 195.099 32.294 195.211 32.422C195.323 32.55 195.507 32.622 195.763 32.638V34.75C195.491 34.798 195.267 34.83 195.091 34.846C194.915 34.862 194.747 34.87 194.587 34.87C194.107 34.87 193.707 34.742 193.387 34.486C193.067 34.214 192.883 33.87 192.835 33.454L192.787 32.206C192.227 33.118 191.499 33.814 190.603 34.294C189.707 34.758 188.723 34.99 187.651 34.99C186.339 34.99 185.347 34.558 184.675 33.694C184.003 32.83 183.667 31.558 183.667 29.878ZM198.436 17.23H201.076V31.126C201.076 31.766 201.172 32.174 201.364 32.35C201.556 32.526 201.796 32.614 202.084 32.614C202.404 32.614 202.7 32.582 202.972 32.518C203.26 32.454 203.508 32.374 203.716 32.278L204.1 34.366C203.716 34.526 203.26 34.662 202.732 34.774C202.204 34.886 201.732 34.942 201.316 34.942C200.42 34.942 199.716 34.694 199.204 34.198C198.692 33.686 198.436 32.982 198.436 32.086V17.23ZM211.319 34.99C210.343 34.99 209.455 34.822 208.655 34.486C207.871 34.134 207.191 33.662 206.615 33.07C206.039 32.462 205.591 31.774 205.271 31.006C204.967 30.222 204.815 29.39 204.815 28.51C204.815 27.326 205.087 26.246 205.631 25.27C206.175 24.278 206.935 23.486 207.911 22.894C208.887 22.286 210.031 21.982 211.343 21.982C212.655 21.982 213.783 22.286 214.727 22.894C215.687 23.486 216.431 24.27 216.959 25.246C217.487 26.222 217.751 27.27 217.751 28.39C217.751 28.582 217.743 28.766 217.727 28.942C217.711 29.102 217.695 29.238 217.679 29.35H207.623C207.671 30.086 207.871 30.734 208.223 31.294C208.591 31.838 209.055 32.27 209.615 32.59C210.175 32.894 210.775 33.046 211.415 33.046C212.119 33.046 212.783 32.87 213.407 32.518C214.047 32.166 214.479 31.702 214.703 31.126L216.959 31.774C216.687 32.382 216.271 32.934 215.711 33.43C215.167 33.91 214.519 34.294 213.767 34.582C213.015 34.854 212.199 34.99 211.319 34.99ZM207.551 27.598H215.135C215.087 26.878 214.879 26.246 214.511 25.702C214.159 25.142 213.703 24.71 213.143 24.406C212.599 24.086 211.991 23.926 211.319 23.926C210.663 23.926 210.055 24.086 209.495 24.406C208.951 24.71 208.503 25.142 208.151 25.702C207.799 26.246 207.599 26.878 207.551 27.598Z"
						fill="#FFEFFB"
					/>
				</svg>
			</div>
			<div className="pesquisar">
				<form action="/buscar" method="GET">
					<input
						type="text"
						name="search"
						id="search"
						placeholder="Pesquisar"
					/>
					<input type="submit" className="btns" value="" />
				</form>
			</div>
			<section className="menu">
				<ul>
					<li>
						<a href="/">
							<svg
								width="22"
								height="21"
								viewBox="0 0 22 21"
								fill="none"
								xmlns="http://www.w3.org/2000/svg"
							>
								<path
									d="M3.3125 7.68717L11 1.70801L18.6875 7.68717V17.083C18.6875 17.5361 18.5075 17.9706 18.1871 18.291C17.8668 18.6114 17.4322 18.7913 16.9792 18.7913H5.02083C4.56776 18.7913 4.13323 18.6114 3.81286 18.291C3.49248 17.9706 3.3125 17.5361 3.3125 17.083V7.68717Z"
									stroke="white"
									strokeWidth="2"
									strokeLinecap="round"
									strokeLinejoin="round"
								/>
								<path
									d="M8.4375 18.7917V10.25H13.5625V18.7917"
									stroke="white"
									strokeWidth="2"
									strokeLinecap="round"
									strokeLinejoin="round"
								/>
							</svg>
							Início
						</a>
					</li>
					<li>
						<a href="/criar-cronograma">
							<svg
								width="22"
								height="21"
								viewBox="0 0 22 21"
								fill="none"
								xmlns="http://www.w3.org/2000/svg"
							>
								<path
									fillRule="evenodd"
									clipRule="evenodd"
									d="M3.96 2.00126C4.46791 1.49335 5.15679 1.20801 5.87508 1.20801H12.7084H12.7084C12.9865 1.20801 13.2381 1.32151 13.4193 1.50472L18.5367 6.62212C18.7199 6.80338 18.8334 7.05494 18.8334 7.33301L18.8334 7.3394V17.583C18.8334 18.3013 18.5481 18.9902 18.0402 19.4981C17.5323 20.006 16.8434 20.2913 16.1251 20.2913H5.87508C5.15679 20.2913 4.46791 20.006 3.96 19.4981C3.45209 18.9902 3.16675 18.3013 3.16675 17.583V3.91634C3.16675 3.19805 3.45209 2.50917 3.96 2.00126ZM5.87508 3.20801H11.7084V7.33301C11.7084 7.88529 12.1561 8.33301 12.7084 8.33301H16.8334V17.583C16.8334 17.7709 16.7588 17.951 16.6259 18.0839C16.4931 18.2167 16.3129 18.2913 16.1251 18.2913H5.87508C5.68722 18.2913 5.50705 18.2167 5.37421 18.0839C5.24138 17.951 5.16675 17.7709 5.16675 17.583V3.91634C5.16675 3.72848 5.24138 3.54831 5.37421 3.41547C5.50705 3.28264 5.68722 3.20801 5.87508 3.20801ZM13.7084 4.62224L15.4192 6.33301H13.7084V4.62224ZM7.58344 10.604C7.03115 10.604 6.58344 11.0517 6.58344 11.604C6.58344 12.1563 7.03115 12.604 7.58344 12.604H14.4168C14.9691 12.604 15.4168 12.1563 15.4168 11.604C15.4168 11.0517 14.9691 10.604 14.4168 10.604H7.58344ZM6.58344 15.0205C6.58344 14.4682 7.03115 14.0205 7.58344 14.0205H14.4168C14.9691 14.0205 15.4168 14.4682 15.4168 15.0205C15.4168 15.5728 14.9691 16.0205 14.4168 16.0205H7.58344C7.03115 16.0205 6.58344 15.5728 6.58344 15.0205ZM7.58344 7.18726C7.03115 7.18726 6.58344 7.63497 6.58344 8.18726C6.58344 8.73954 7.03115 9.18726 7.58344 9.18726H9.29177C9.84405 9.18726 10.2918 8.73954 10.2918 8.18726C10.2918 7.63497 9.84405 7.18726 9.29177 7.18726H7.58344Z"
									fill="white"
								/>
							</svg>
							Criar cronograma
						</a>
					</li>
					<li>
						<a href="/MeusCronogramas">
							<svg
								width="22"
								height="21"
								viewBox="0 0 22 21"
								fill="none"
								xmlns="http://www.w3.org/2000/svg"
							>
								<path
									d="M10.9999 1.70801L2.45825 5.97884L10.9999 10.2497L19.5416 5.97884L10.9999 1.70801Z"
									stroke="white"
									strokeWidth="2"
									strokeLinecap="round"
									strokeLinejoin="round"
								/>
								<path
									d="M2.45825 14.5205L10.9999 18.7913L19.5416 14.5205"
									stroke="white"
									strokeWidth="2"
									strokeLinecap="round"
									strokeLinejoin="round"
								/>
								<path
									d="M2.45825 10.25L10.9999 14.5208L19.5416 10.25"
									stroke="white"
									strokeWidth="2"
									strokeLinecap="round"
									strokeLinejoin="round"
								/>
							</svg>
							Meus cronogramas
						</a>
					</li>
					<li>
						<a href="/Perfil">
							{' '}
							<BsFillPersonFill size="25px" /> Perfil
						</a>
					</li>
				</ul>
				<ul className="barplus">
					<li>
						<a href="#/">
							<svg
								width="22"
								height="21"
								viewBox="0 0 22 21"
								fill="none"
								xmlns="http://www.w3.org/2000/svg"
							>
								<path
									d="M16.125 7.33301C16.125 5.97377 15.585 4.67021 14.6239 3.70909C13.6628 2.74796 12.3592 2.20801 11 2.20801C9.64077 2.20801 8.3372 2.74796 7.37608 3.70909C6.41495 4.67021 5.875 5.97377 5.875 7.33301C5.875 13.3122 3.3125 15.0205 3.3125 15.0205H18.6875C18.6875 15.0205 16.125 13.3122 16.125 7.33301Z"
									stroke="white"
									strokeWidth="2"
									strokeLinecap="round"
									strokeLinejoin="round"
								/>
								<path
									d="M12.4776 18.4375C12.3275 18.6964 12.1119 18.9113 11.8526 19.0606C11.5932 19.21 11.2992 19.2886 10.9999 19.2886C10.7006 19.2886 10.4066 19.21 10.1473 19.0606C9.88793 18.9113 9.67239 18.6964 9.52222 18.4375"
									stroke="white"
									strokeWidth="2"
									strokeLinecap="round"
									strokeLinejoin="round"
								/>
							</svg>
							Notificações
						</a>
					</li>
					<li>
						<a href="#/">
							<svg
								width="22"
								height="21"
								viewBox="0 0 22 21"
								fill="none"
								xmlns="http://www.w3.org/2000/svg"
							>
								<g clipPath="url(#clip0_524_289)">
									<path
										d="M11 13.3125C12.4152 13.3125 13.5625 12.1652 13.5625 10.75C13.5625 9.33477 12.4152 8.1875 11 8.1875C9.58477 8.1875 8.4375 9.33477 8.4375 10.75C8.4375 12.1652 9.58477 13.3125 11 13.3125Z"
										stroke="white"
										strokeWidth="2"
										strokeLinecap="round"
										strokeLinejoin="round"
									/>
									<path
										d="M17.3209 13.3128C17.2072 13.5705 17.1733 13.8562 17.2235 14.1333C17.2738 14.4104 17.4059 14.6661 17.6028 14.8674L17.654 14.9187C17.8129 15.0773 17.9389 15.2657 18.0248 15.4731C18.1108 15.6805 18.1551 15.9028 18.1551 16.1273C18.1551 16.3518 18.1108 16.5741 18.0248 16.7815C17.9389 16.9889 17.8129 17.1773 17.654 17.3359C17.4954 17.4948 17.307 17.6208 17.0996 17.7068C16.8922 17.7927 16.6699 17.837 16.4454 17.837C16.2209 17.837 15.9986 17.7927 15.7912 17.7068C15.5838 17.6208 15.3954 17.4948 15.2367 17.3359L15.1855 17.2847C14.9842 17.0878 14.7285 16.9557 14.4514 16.9054C14.1743 16.8552 13.8885 16.8891 13.6309 17.0028C13.3783 17.1111 13.1628 17.2909 13.0111 17.5201C12.8593 17.7492 12.7778 18.0178 12.7767 18.2926V18.4378C12.7767 18.8909 12.5968 19.3254 12.2764 19.6458C11.956 19.9662 11.5215 20.1462 11.0684 20.1462C10.6153 20.1462 10.1808 19.9662 9.86044 19.6458C9.54007 19.3254 9.36008 18.8909 9.36008 18.4378V18.3609C9.35347 18.0782 9.26195 17.804 9.09743 17.574C8.93291 17.344 8.703 17.1688 8.43758 17.0712C8.17995 16.9575 7.89417 16.9235 7.61708 16.9738C7.33999 17.024 7.08431 17.1561 6.883 17.353L6.83175 17.4043C6.67309 17.5631 6.48468 17.6891 6.27729 17.7751C6.0699 17.8611 5.8476 17.9053 5.6231 17.9053C5.3986 17.9053 5.1763 17.8611 4.96891 17.7751C4.76152 17.6891 4.57311 17.5631 4.41446 17.4043C4.25562 17.2456 4.12962 17.0572 4.04365 16.8498C3.95768 16.6424 3.91342 16.4201 3.91342 16.1956C3.91342 15.9711 3.95768 15.7488 4.04365 15.5414C4.12962 15.3341 4.25562 15.1456 4.41446 14.987L4.46571 14.9357C4.66262 14.7344 4.79472 14.4787 4.84496 14.2017C4.8952 13.9246 4.86128 13.6388 4.74758 13.3812C4.6393 13.1285 4.45952 12.9131 4.23035 12.7613C4.00119 12.6095 3.73265 12.5281 3.45779 12.527H3.31258C2.8595 12.527 2.42498 12.347 2.10461 12.0266C1.78423 11.7063 1.60425 11.2717 1.60425 10.8187C1.60425 10.3656 1.78423 9.93106 2.10461 9.61068C2.42498 9.29031 2.8595 9.11033 3.31258 9.11033H3.38946C3.67218 9.10371 3.94638 9.0122 4.1764 8.84768C4.40642 8.68316 4.58163 8.45324 4.67925 8.18783C4.79295 7.93019 4.82687 7.64441 4.77663 7.36732C4.72639 7.09024 4.59429 6.83455 4.39737 6.63324L4.34612 6.58199C4.18729 6.42333 4.06128 6.23492 3.97531 6.02754C3.88934 5.82015 3.84509 5.59785 3.84509 5.37335C3.84509 5.14884 3.88934 4.92654 3.97531 4.71916C4.06128 4.51177 4.18729 4.32336 4.34612 4.1647C4.50478 4.00587 4.69319 3.87986 4.90058 3.79389C5.10797 3.70792 5.33027 3.66367 5.55477 3.66367C5.77927 3.66367 6.00157 3.70792 6.20896 3.79389C6.41635 3.87986 6.60476 4.00587 6.76341 4.1647L6.81466 4.21595C7.01597 4.41287 7.27166 4.54496 7.54874 4.5952C7.82583 4.64545 8.11162 4.61153 8.36925 4.49783H8.43758C8.69022 4.38955 8.90568 4.20976 9.05744 3.9806C9.20921 3.75143 9.29065 3.48289 9.29175 3.20803V3.06283C9.29175 2.60975 9.47173 2.17523 9.79211 1.85485C10.1125 1.53448 10.547 1.35449 11.0001 1.35449C11.4532 1.35449 11.8877 1.53448 12.2081 1.85485C12.5284 2.17523 12.7084 2.60975 12.7084 3.06283V3.1397C12.7095 3.41456 12.791 3.6831 12.9427 3.91226C13.0945 4.14143 13.3099 4.32122 13.5626 4.42949C13.8202 4.54319 14.106 4.57711 14.3831 4.52687C14.6602 4.47663 14.9159 4.34453 15.1172 4.14762L15.1684 4.09637C15.3271 3.93753 15.5155 3.81153 15.7229 3.72556C15.9303 3.63959 16.1526 3.59534 16.3771 3.59534C16.6016 3.59534 16.8239 3.63959 17.0312 3.72556C17.2386 3.81153 17.427 3.93753 17.5857 4.09637C17.7445 4.25503 17.8705 4.44343 17.9565 4.65082C18.0425 4.85821 18.0867 5.08051 18.0867 5.30501C18.0867 5.52951 18.0425 5.75181 17.9565 5.9592C17.8705 6.16659 17.7445 6.355 17.5857 6.51366L17.5345 6.56491C17.3375 6.76622 17.2054 7.0219 17.1552 7.29899C17.105 7.57608 17.1389 7.86186 17.2526 8.11949V8.18783C17.3609 8.44046 17.5406 8.65592 17.7698 8.80769C17.999 8.95945 18.2675 9.0409 18.5424 9.04199H18.6876C19.1407 9.04199 19.5752 9.22198 19.8956 9.54235C20.2159 9.86273 20.3959 10.2972 20.3959 10.7503C20.3959 11.2034 20.2159 11.6379 19.8956 11.9583C19.5752 12.2787 19.1407 12.4587 18.6876 12.4587H18.6107C18.3358 12.4598 18.0673 12.5412 17.8381 12.693C17.609 12.8447 17.4292 13.0602 17.3209 13.3128V13.3128Z"
										stroke="white"
										strokeWidth="2"
										strokeLinecap="round"
										strokeLinejoin="round"
									/>
								</g>
								<defs>
									<clipPath id="clip0_524_289">
										<rect
											width="20.5"
											height="20.5"
											fill="white"
											transform="translate(0.75 0.5)"
										/>
									</clipPath>
								</defs>
							</svg>
							Configurações
						</a>
					</li>
					<li>
						<a href="/" onClick={() => Logout()}>
							<svg
								width="22"
								height="21"
								viewBox="0 0 22 21"
								fill="none"
								xmlns="http://www.w3.org/2000/svg"
							>
								<path
									d="M10.9999 18.7913C15.7174 18.7913 19.5416 14.9671 19.5416 10.2497C19.5416 5.53224 15.7174 1.70801 10.9999 1.70801C6.28249 1.70801 2.45825 5.53224 2.45825 10.2497C2.45825 14.9671 6.28249 18.7913 10.9999 18.7913Z"
									stroke="white"
									strokeWidth="2"
									strokeLinecap="round"
									strokeLinejoin="round"
								/>
								<path
									d="M8.5144 7.68774C8.71522 7.11688 9.1116 6.6355 9.63332 6.32888C10.1551 6.02225 10.7685 5.91017 11.3649 6.01248C11.9614 6.11478 12.5024 6.42488 12.8921 6.88784C13.2818 7.3508 13.4951 7.93675 13.4942 8.54191C13.4942 10.2502 10.9317 11.1044 10.9317 11.1044"
									stroke="white"
									strokeWidth="2"
									strokeLinecap="round"
									strokeLinejoin="round"
								/>
								<path
									d="M11 14.5205H11.0085"
									stroke="white"
									strokeWidth="2"
									strokeLinecap="round"
									strokeLinejoin="round"
								/>
							</svg>
							Sair
						</a>
					</li>
				</ul>
			</section>
		</nav>
	);
};

export default Sidebar;
